Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.codec.language.bm
Class Languages.SomeLanguages

    java.lang.Object
      org.apache.commons.codec.language.bm.Languages.LanguageSet
          org.apache.commons.codec.language.bm.Languages.SomeLanguages

Enclosing class:
  Languages

    public static final class Languages.SomeLanguages

extends Languages.LanguageSet

Some languages, explicitly enumerated.

Method Summary
`boolean` | `contains(String language)`
`String` | `getAny()`
`Set<String>` | `getLanguages()`
`boolean` | `isEmpty()`
`boolean` | `isSingleton()`
`Languages.LanguageSet` | `restrictTo(Languages.LanguageSet other)`
`String` | `toString()`

Methods inherited from class org.apache.commons.codec.language.bm.Languages.LanguageSet
`from`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### contains

    public boolean contains(String language)

  Specified by:
    `contains` in class `Languages.LanguageSet`

### getAny

    public String getAny()

  Specified by:
    `getAny` in class `Languages.LanguageSet`

### getLanguages

    public Set<String> getLanguages()

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in class `Languages.LanguageSet`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in class `Languages.LanguageSet`

### restrictTo

    public Languages.LanguageSet restrictTo(Languages.LanguageSet other)

  Specified by:
    `restrictTo` in class `Languages.LanguageSet`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2011 The Apache Software Foundation. All Rights Reserved.